Subject: The Alfred Forged Chest Project

From: [email-masked] (Gene Olson and Chris Wilson)
Date: Thu, 13 Jun 1996 09:34:07 -0400 (EDT)

Well folks,

Last night was the "Guild of Metalsmiths" June meeting and Tom Latané
brought the most incredible piece of work in progress, for show and tell. 

It was and is a small chest, a cooperatively made signature piece for the
Alfred conference.

What's finished is really neat. It is kind of architectural; it has a ribbed
arched top with an arched dormer. (Which is waiting for a repouseé friese by
illustrious leader, master Dixon. I assume that's why we haven't heard from
George for a while.) Columns, recessed panels, intricate chasing, and some
wonderful lionheads with ring 'handles' in their mouths. Tom was still
waiting for some of the columns and other parts to arrive from some of the
others working on the project, so finishing it may get tight if he doesn't
get the stuff soon.

I hope I get a chance to see it before Tom carts it away.

Gene

 The Studios of Gene Olson and Chris Wilson  Metals, Stone, Mixed Media
  8600 NE O'DEAN AVE, ELK RIVER, MN 55330
  URL: http://www.cris.com/~mettlewk/